var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { NgModule, NO_ERRORS_SCHEMA, Component, HostBinding, Input } from '@angular/core';
let SpinnerComponent = class SpinnerComponent {
    constructor() {
        this.size = 25;
        this.tickness = 2;
        this.color = '#4f6aa7';
        this.opacity = '.1';
        this.secondColor = '';
    }
    ngOnInit() {
        const c = this.hexToRgb(this.color);
        this.secondColor = 'rgba(' + c.r + ',' + c.g + ',' + c.b + ', ' + this.opacity + ')';
    }
    hexToRgb(hex) {
        let result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
        return result ? {
            r: parseInt(result[1], 16),
            g: parseInt(result[2], 16),
            b: parseInt(result[3], 16)
        } : null;
    }
};
__decorate([
    Input(),
    HostBinding('style.width.px'),
    HostBinding('style.height.px'),
    __metadata("design:type", Object)
], SpinnerComponent.prototype, "size", void 0);
__decorate([
    Input(),
    HostBinding('style.borderWidth.px'),
    __metadata("design:type", Object)
], SpinnerComponent.prototype, "tickness", void 0);
__decorate([
    Input(),
    HostBinding('style.borderTopColor'),
    __metadata("design:type", Object)
], SpinnerComponent.prototype, "color", void 0);
__decorate([
    Input(),
    __metadata("design:type", Object)
], SpinnerComponent.prototype, "opacity", void 0);
__decorate([
    HostBinding('style.borderBottomColor'),
    HostBinding('style.borderLeftColor'),
    HostBinding('style.borderRightColor'),
    __metadata("design:type", Object)
], SpinnerComponent.prototype, "secondColor", void 0);
SpinnerComponent = __decorate([
    Component({
        selector: 'spinner',
        template: '',
        styles: [`
    @keyframes spin {
      from {transform: rotate(0deg);}
      to {transform: rotate(360deg);}
    }

    :host {
      position:relative;
      box-sizing: border-box;
      display:inline-block;
      padding:0px;
      border-radius:100%;
      border-style:solid;
      animation: spin 0.8s linear infinite;
    }

    :host .margins {
        margin: 0px 10px;
    }
  `]
    })
], SpinnerComponent);
export { SpinnerComponent };
let SpinnerModule = class SpinnerModule {
};
SpinnerModule = __decorate([
    NgModule({
        declarations: [
            SpinnerComponent
        ],
        exports: [
            SpinnerComponent,
        ],
        schemas: [NO_ERRORS_SCHEMA],
    })
], SpinnerModule);
export { SpinnerModule };
//# sourceMappingURL=angular2-spinner.js.map